%global commit 915a4b8aefb15025d1ce6da6e971d2f968362d7b
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-apt
Version:        1.4.0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        M2E JDT Annotation Processor Toolkit connector
License:        EPL
URL:            https://github.com/jbosstools/m2e-apt
BuildArch:      noarch

Source0:        https://github.com/jbosstools/m2e-apt/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.eclipse.tycho.extras:tycho-source-feature-plugin)
BuildRequires:  mvn(org.eclipse.tycho:target-platform-configuration)
BuildRequires:  mvn(org.eclipse.tycho:tycho-maven-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-p2-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-source-plugin)
BuildRequires:  osgi(org.eclipse.license)
BuildRequires:  osgi(org.eclipse.jdt.core)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.wst.sse.core)
BuildRequires:  osgi(org.eclipse.wst.xml.core)
BuildRequires:  osgi(slf4j.api)

Enhances:       eclipse-m2e-core

%description
This package provides JDT Annotation Process Toolkit connector for Eclipse
M2E. It provides automatic Annotation Processing configuration in Eclipse
based on your project's pom.xml and its classpath dependencies.

%prep
%setup -q -n m2e-apt-%{commit}
find -name *.jar -delete

# Avoid relying on forge parent pom
%pom_remove_parent

# Don't need to build update site for RPM builds
%pom_disable_module org.jboss.tools.maven.apt.site

# Tests are not able to be run due to missing plugin "org.bsc.maven"
%pom_disable_module org.jboss.tools.maven.apt.tests

# Avoid using tycho-sourceref-jgit due to source tarball not being a git repo
%pom_remove_plugin :tycho-packaging-plugin

# This project is EPL licensed, so let's reuse the eclipse-license
sed -i -e 's/org.jboss.tools.foundation.license.feature/org.eclipse.license/' \
  org.jboss.tools.maven.apt.feature/feature.xml

# Don't package parent pom
%mvn_package "::pom::" __noinstall

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license org.jboss.tools.maven.apt.feature/license.html

%changelog
* Fri Jan 12 2018 Nick Boldt <nboldt@redhat.com> - 1.4.0-0.1.git915a4b8
- Update to 1.4.0
- Fix https://github.com/jbosstools/m2e-apt/issues/58 - update lifecycle-mapping-metadata.xml to support javac-with-errorprone compilerId.

* Fri Sep 29 2017 Mat Booth <mat.booth@redhat.com> - 1.3.0-0.1.git12a8d33
- Initial packaging

